GDCM 3.2.1

Namespaces | Enumerations | Functions | Variables
gdcmNetworkStateID.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | gdcm
namespace | gdcm::network

## Enumerations
enum | gdcm::network::EStateID { gdcm::network::eStaDoesNotExist = 0 , gdcm::network::eSta1Idle = 1 , gdcm::network::eSta2Open = 2 , gdcm::network::eSta3WaitLocalAssoc = 4 , gdcm::network::eSta4LocalAssocDone = 8 , gdcm::network::eSta5WaitRemoteAssoc = 16 , gdcm::network::eSta6TransferReady = 32 , gdcm::network::eSta7WaitRelease = 64 , gdcm::network::eSta8WaitLocalRelease = 128 , gdcm::network::eSta9ReleaseCollisionRqLocal = 256 , gdcm::network::eSta10ReleaseCollisionAc = 512 , gdcm::network::eSta11ReleaseCollisionRq = 1024 , gdcm::network::eSta12ReleaseCollisionAcLocal = 2048 , gdcm::network::eSta13AwaitingClose = 4096 }

## Functions
int | gdcm::network::GetStateIndex (EStateID inState)

## Variables
const int | gdcm::network::cMaxStateID = 13